All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business.step.olap
Class BusinessQueryTupleFilter

    com.sas.iquery.metadata.business.step.olap.BusinessQueryTupleFilter

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, StepFilterInterface, StepInterface, UsabilityInterface, PropertyChangeListenee, com.sas.util.LocalizableToStringInterface, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class BusinessQueryTupleFilter

A step that filters out a specific set of member for a set of dimension(s) and a single measure. Multiple BusinessQueryTupleFilters can be defined for a single axis and a single dataSelection.

See Also:
  `StepFilterInterface`, `BaseFilter`

Field Summary
`static java.lang.String` | `EVENT_MEASURE_CHANGED` Indication that measure qualifier has changed
`static java.lang.String` | `EVENT_TUPLES_CHANGED` Indication that member qualifier tuples have been changed

Fields inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`EVENT_ACTION_TYPE_CHANGED, EVENT_LOCALIZABLE_LABELS_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.step.StepFilterInterface
`APPEND_ACTION_TYPE, DIFFERENCE_ACTION_TYPE, INITIAL_ACTION_TYPE, INSERT_ACTION_TYPE, INTERSECT_ACTION_TYPE, PREPEND_ACTION_TYPE, SPECIAL_ACTION_TYPE, UNION_ACTION_TYPE`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`BusinessQueryTupleFilter()` No argument constructor for persistence

Method Summary
`java.lang.String` | `getDisplayedText(com.sas.storage.olap.MetadataInterface metadata, Role role, boolean applyPromptValues, java.util.Locale locale)` Return the displayed text for a step rather than a OLAP type of text.
`DataItem` | `getMeasuresQualifier()` Get the measure qualifier (dataItem) that are associated to this filter.
`java.util.List<TupleFilterMemberQualifier>` | `getMemberQualifiers()` Return a list of TupleFilterMemberQualifier objects that have been set for this filter.
`static boolean` | `isFilterSelectionValid(BusinessQuery model, com.sas.storage.olap.TupleElementInterface[] tupleElements)` Indicates whether this is a value selection for the use of a BusinessQueryTupleFilter.
`void` | `setMeasureQualifier(DataItem measureQualifier)` Set the measure qualifier (dataItem) that is associated to this filter.
`void` | `setMemberQualifiers(java.util.List tupleFilterMemberQualifiers)` Set a list of TupleFilterMemberQualifier objects that are associated to a category dataItem and a member string expression.

Methods inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`getActionType, getDisplayedText, getLevels, setActionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_TUPLES_CHANGED

    public static final java.lang.String EVENT_TUPLES_CHANGED

  Indication that member qualifier tuples have been changed

  See Also:
    Constant Field Values

### EVENT_MEASURE_CHANGED

    public static final java.lang.String EVENT_MEASURE_CHANGED

  Indication that measure qualifier has changed

  See Also:
    Constant Field Values

Constructor Detail

### BusinessQueryTupleFilter

    public BusinessQueryTupleFilter()

  No argument constructor for persistence

Method Detail

### getDisplayedText

    public java.lang.String getDisplayedText(com.sas.storage.olap.MetadataInterface metadata,
                                             Role role,
                                             boolean applyPromptValues,
                                             java.util.Locale locale)

  Return the displayed text for a step rather than a OLAP type of text.

  Parameters:
    `metadata` -
    `dataItem` -
    `apply` - prompt value (true) or prompt labels.
    `locale` - to use
  Returns:

### isFilterSelectionValid

    public static boolean isFilterSelectionValid(BusinessQuery model,
                                                 com.sas.storage.olap.TupleElementInterface[] tupleElements)

  Indicates whether this is a value selection for the use of a BusinessQueryTupleFilter.

  Parameters:
    `model` -
    `tupleElements` -
  Returns:

### getMeasuresQualifier

    public DataItem getMeasuresQualifier()

  Get the measure qualifier (dataItem) that are associated to this filter.

  Returns:

### getMemberQualifiers

    public java.util.List<TupleFilterMemberQualifier> getMemberQualifiers()

  Return a list of TupleFilterMemberQualifier objects that have been set for this filter. These object represents a dataItem and a member string expression.

### setMeasureQualifier

    public void setMeasureQualifier(DataItem measureQualifier)

  Set the measure qualifier (dataItem) that is associated to this filter.

  Parameters:
    `measureQualifier` -

### setMemberQualifiers

    public void setMemberQualifiers(java.util.List tupleFilterMemberQualifiers)

  Set a list of TupleFilterMemberQualifier objects that are associated to a category dataItem and a member string expression.

  Visual Example:

                   dataItem = customer   :    tupleMemberValue = Internet/Catalog Customers
                   dataItem = YQM   :    tupleMemberValue = 1998
                   dataItem = demographics   :    tupleMemberValue = Female

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.